<?php

// Vérifiez si les données ont été envoyées en utilisant la méthode POST
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $data = json_decode(file_get_contents("php://input"), true);
    $filename = $data["filename"];
    $content = $data["content"];
    
    // Vérifiez si le nom de fichier est valide
    if (!preg_match('/^[a-zA-Z0-9_]+\.php$/', $filename)) {
        echo "Invalid filename.";
        exit();
    }
    
    // Vérifiez si le contenu du fichier est valide
    if (!preg_match('/^header\("Location: .+", true, 301\);$/', $content)) {
        echo "Invalid content.";
        exit();
    }

    $file = fopen($filename, "w");
fwrite($file, "<?php\n" . $content . "\n?>");
    fclose($file);

    echo "File created successfully!";
} else {
    echo "Invalid request method.";
}
?>
