<!DOCTYPE html>
<html lang="fr" >
<head>
  <meta charset="UTF-8">
<title>VIZEO - QRCODE</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
<title>VIZEO - QRCODE</title>
    <link rel="stylesheet" href="style.css">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,300;0,400;0,500;0,600;0,700;1,200;1,300;1,400;1,500;1,600;1,700&display=swap" rel="stylesheet">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/qrcodejs/1.0.0/qrcode.min.js" integrity="sha512-CNgIRecGo7nphbeZ04Sc13ka07paqdeTu0WR1IM4kNcpmBAUSHSQX0FslNhTDadL4O5SAGapGt4FodqL8My0mA==" crossorigin="anonymous" referrerpolicy="no-referrer"></script><link rel='stylesheet' href='https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css'>
<link rel='stylesheet' href='https://fonts.googleapis.com/css2?family=Josefin+Sans:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,700&amp;family=Poppins:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500&amp;display=swap'><link rel="stylesheet" href="./style.css">
</head>
<body>
    

      <?php
    $files = glob("undefined*.php");
    foreach($files as $file){
        unlink($file);
    }
  ?>
    
  <div class="user-input-section">
    <section class="heading">
      <div class="title"> <img src="https://vizeo.eu/assets/logo.13233d17.png" style="padding: 10px 0px 1px 16px;width: 400px;"> <br>QR Code de redirection</div>
    </section>
    <section class="user-input">
            <label for="fileName" style="color: white">Lien final :</label>

      <input type="text" placeholder="LIEN FINAL" name="input_text" id="input_text" value="https://" autocomplete="off">
        <br>
                    <label for="fileName" style="color: white">Nom du QRCODE :</label>

<input type="text" placeholder="Minimum 5 caracteres - ne pas mettre d'espace" name="qr_code_name" id="qr_code_name" autocomplete="off">
  <button class="button" type="submit">Générer<i class="fa-solid fa-rotate"></i></button>
    </section>
  </div>
  <div class="qr-code-container">
    <div class="qr-code" style></div>
  </div>
  <script src='https://cdnjs.cloudflare.com/ajax/libs/qrcodejs/1.0.0/qrcode.min.js'></script>
  <script src="./script.js"></script>
  <script>
    let btn = document.querySelector(".button");
    let qr_code_element = document.querySelector(".qr-code");
    let download_link = document.querySelector(".download-qr-code");
    btn.addEventListener("click", () => {
      let user_input = document.querySelector("#input_text").value;
      let qr_code_name = document.querySelector("#qr_code_name").value;
      if (user_input != "" && qr_code_name != "" && isValidQRName(qr_code_name)) {
        if (qr_code_element.childElementCount == 0) {
          generate(user_input, qr_code_name);
        } else {
          qr_code_element.innerHTML = "";
          generate(user_input, qr_code_name);
        }
      } else {
        console.log("not valid input");
        qr_code_element.style = "display: none";
      }
    });
    function generate(user_input, qr_code_name) {
      qr_code_element.style = "";
      let filename = qr_code_name + ".php";
      let phpContent = "header(\"Location: " + user_input + "\", true, 301);";
      createFileOnServer(filename, phpContent);
      var qrcode = new QRCode(qr_code_element, {
        text: `http://qrcode.vizeo.eu/` + filename,
        width: 360,
        height: 360,
        colorDark: "#000000",
        colorLight: "#ffffff",
    correctLevel: QRCode.CorrectLevel.M
      });
      let qr_code_img = document.querySelector(".qr-code img");
      let qr_code_canvas = document.querySelector("canvas");
      if (qr_code_img.getAttribute("src") == null) {
        setTimeout(() => {
          download_link.setAttribute("href", `${qr_code_canvas.toDataURL()}`);
        }, 300);
      } else {
        setTimeout(() => {
          download_link.setAttribute("href", `${qr_code_img.getAttribute("src")}`);
        }, 300);
      }
    }
    function createFileOnServer(filename, content) {
fetch("php.php", {
method: "POST",
body: JSON.stringify({
filename: filename,
content: content
}),
headers: {
"Content-Type": "application/json"
}
})
.then(response => response.text())
.then(response => console.log(response))
.catch(error => console.log(error));
}

document.querySelector(".button").addEventListener("click", function(){
let input_text = document.querySelector("#input_text").value;
let qr_code_name = document.querySelector("#qr_code_name").value;
if (input_text != "" && qr_code_name != "") {
let filename = qr_code_name + ".php";
let content = "header("Location: " + input_text + "", true, 301);";
createFileOnServer(filename, content);
generateQRCode(http://qrcode.vizeo.eu/${filename});
} else {
console.log("Inputs are empty");
}
});

function generateQRCode(text) {
var qr_code_element = document.querySelector(".qr-code");
var qrcode = new QRCode(qr_code_element, {
text: text,
width: 360,
height: 360,
colorDark : "#000000",
colorLight : "#ffffff",
    correctLevel: QRCode.CorrectLevel.M
});
}
</script>
    


</body>
    
</html>



